using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(menuName = "KernelPanic/Artefacts/Artefact System")]
public class ArtefactSystem : ScriptableObject
{
    [SerializeField] private DialogueSystem _dialogue;
    [SerializeField] private ArtefactInventory _inventory;

    public void FindArtefact(Artefact artefact)
    {
        _inventory.addA(artefact);
        
        // _dialogue.PlayLine(artefact.dialogueKey);
    }
}
